// Flasher.h

#ifndef _FLASHER_h
#define _FLASHER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif


#include <UrsOneShotBase.h>

class Flasher : public UrsOneShotBase
{ private:
    void timerCallback();
    uint8_t _ledPin;

 public:
   Flasher(uint8_t LedPin) : UrsOneShotBase() { _ledPin = LedPin; };
   void flash(uint32_t Duration);
};



#endif

